@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';


$bulkedit-validation__result-container--border-width: $boxes--border__thin;
$bulkedit-popups__configurable-flow-container-outer--space-x: $container-spacing-default__third * 2;
$bulkedit-popups__configurable-flow-container-outer--space-y: $container-spacing-default__third;
$bulkedit-validation__configurable-flow-result-container--margin: ($bulkedit-popups__configurable-flow-container-outer--space-y  * -1) ($bulkedit-popups__configurable-flow-container-outer--space-x * -1);
$bulkedit-validation__result-list--border-color: $grey__light--800;
$bulkedit-validation__result-list-item--padding-x: $container-spacing-default_two-thirds;
$bulkedit-validation__result-subtitle--font-weight: $font-weight-bold;
$bulkedit-validation__result-subtitle--color: $validation__error--color;
$bulkedit-validation__result-subtitle--font-size: $font-size__medium;
$bulkedit-validation__result-subtitle-icon--size: 16px;
$bulkedit-validation__result-subtitle-icon--bg: url("images/icon_validation_sprite.png") -32px 0 no-repeat;
$bulkedit-validation__result-subtitle-icon--right: $bulkedit-validation__result-list-item--padding-x + 4px;
$bulkedit-validation__result-subtitle-container--padding: $container-spacing-default__half ($bulkedit-validation__result-list-item--padding-x + $bulkedit-validation__result-subtitle-icon--size) $container-spacing-default__half $bulkedit-validation__result-list-item--padding-x;

$bulkedit-validation__result-report--bg-color: $yellow__default;
$bulkedit-validation__result-report--color: $blue__dark--100;
$bulkedit-validation__result-report-hover--bg-color: $yellow__default--300;
$bulkedit-validation__result-report--display: block;
$bulkedit-validation__result-report--font-weight: 500;
$bulkedit-validation__result-report--margin: 10px auto;

$bulkedit-validation__toggle-icon--size: 16px;
$bulkedit-validation__toggle-icon--margin-top: ceil($bulkedit-validation__toggle-icon--size/2) * -1;
$bulkedit-validation__toggle-icon--font-size: $font-size__h3;
$bulkedit-validation__toggle-icon--line-height: $bulkedit-validation__toggle-icon--font-size;
$bulkedit-validation__toggle-icon--margin-right: 2px;
$bulkedit-validation__toggle-icon--color: $blue__default--600;
$bulkedit-validation__toggle-icon--font: $font-family-fontawesome;
$bulkedit-validation__toggle-icon--content: $anglearrow__down--content;
$bulkedit-validation__toggle-expanded-icon-content: $anglearrow__up--content;

$bulkedit-validation__result-list-item--border: $bulkedit-validation__result-container--border-width solid  $grey__light--800;
$bulkedit-validation__result-list-table--mergin-bottom: $bulkedit-validation__result-container--border-width * -1;

$bulkedit-validation__result-list-details-header--font-weight: $bulkedit-validation__result-subtitle--font-weight;
$bulkedit-validation__result-list-details-header-error--color:$validation__error--color;
$bulkedit-validation__result-list-details-header-warn--color:$validation__warn--color;
$bulkedit-validation__result-list-details-header-info--color:$validation__info--color;
$bulkedit-validation__result-list-details-cell--margin-top: $container-spacing-default__half;
$bulkedit-validation__result-list-details--padding-top: 5px;
$bulkedit-validation__result-list-details--font-size: $font-size__small;
$bulkedit-validation__result-list-title--font-size: $font-size__base;
$bulkedit-validation__result-list-title--font-weight: $font-weight-bold;
$bulkedit-validation__result-list-subtitle--font-size: $font-size__small;
$bulkedit-validation__result-list-header--padding-right: $bulkedit-validation__toggle-icon--size + $bulkedit-validation__toggle-icon--margin-right;